"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = __importDefault(require("./Utils"));
const config_1 = __importDefault(require("./config"));
const types_1 = require("./types");
class AddressBookService {
    proxy;
    route = config_1.default.urls.addressbook;
    constructor(proxy) {
        this.proxy = proxy;
    }
    async uploadAddressBook(list = [], params = {}) {
        if (!Utils_1.default.isArray(list)) {
            throw new Error('First parameter must be an Array.');
        }
        const ajaxParams = {
            type: types_1.ProxyMethod.POST,
            url: Utils_1.default.getUrl(this.route),
            data: { contacts: list, ...params },
        };
        return this.proxy.ajax(ajaxParams);
    }
    async get(udid) {
        const ajaxParams = {
            type: types_1.ProxyMethod.GET,
            url: Utils_1.default.getUrl(this.route),
            data: udid ? { udid } : undefined,
        };
        return this.proxy.ajax(ajaxParams);
    }
    async getRegisteredUsers(params = false) {
        const ajaxParams = {
            type: types_1.ProxyMethod.GET,
            url: Utils_1.default.getUrl(this.route, 'registered_users'),
            data: typeof params === 'boolean' ? { compact: params ? 1 : 0 } : params,
        };
        return this.proxy.ajax(ajaxParams);
    }
}
exports.default = AddressBookService;
//# sourceMappingURL=AddressBook.js.map