import ProxyService from './Proxy';
import { Auth, Users, EmptyResponse } from './types';
export default class AuthService {
    proxy: ProxyService;
    readonly routes: {
        session: string;
        login: string;
    };
    constructor(proxy: ProxyService);
    setSession: (session: Partial<Auth.Session>) => void;
    getSession: () => Promise<Auth.Session>;
    createSession: (params?: Auth.LoginParams | {}) => Promise<Auth.Session>;
    destroySession: () => Promise<EmptyResponse>;
    login: (params: Auth.LoginParams) => Promise<Users.User>;
    logout: () => Promise<EmptyResponse>;
    private generateCreateSessionParams;
}
