"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const platform_1 = require("./platform");
const config_1 = __importDefault(require("./config"));
const Utils_1 = __importDefault(require("./Utils"));
const types_1 = require("./types");
class PushNotificationsService {
    proxy;
    subscriptions;
    events;
    constructor(proxy) {
        this.proxy = proxy;
        this.subscriptions = new SubscriptionsService(proxy);
        this.events = new EventsService(proxy);
    }
    base64Encode = platform_1.base64Encode;
}
exports.default = PushNotificationsService;
class SubscriptionsService {
    proxy;
    route = config_1.default.urls.subscriptions;
    constructor(proxy) {
        this.proxy = proxy;
    }
    async create(params) {
        const ajaxParams = {
            type: types_1.ProxyMethod.POST,
            url: Utils_1.default.getUrl(this.route),
            data: params,
        };
        return this.proxy.ajax(ajaxParams);
    }
    async list() {
        const ajaxParams = {
            type: types_1.ProxyMethod.GET,
            url: Utils_1.default.getUrl(this.route),
        };
        return this.proxy.ajax(ajaxParams);
    }
    async delete(id) {
        const ajaxParams = {
            type: types_1.ProxyMethod.DELETE,
            dataType: types_1.ProxyType.TEXT,
            url: Utils_1.default.getUrl(this.route, id),
        };
        return this.proxy.ajax(ajaxParams);
    }
}
class EventsService {
    proxy;
    route = config_1.default.urls.events;
    constructor(proxy) {
        this.proxy = proxy;
    }
    async create(event) {
        const ajaxParams = {
            type: types_1.ProxyMethod.POST,
            url: Utils_1.default.getUrl(this.route),
            data: { event },
        };
        return this.proxy.ajax(ajaxParams);
    }
}
//# sourceMappingURL=PushNotifications.js.map