"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.adapter = exports.navigator = exports.isWebRTCAvailable = exports.registerGlobals = exports.RTCSessionDescription = exports.RTCRtpSender = exports.RTCRtpReceiver = exports.RTCPeerConnection = exports.RTCIceCandidate = exports.MediaStreamTrack = exports.MediaStream = exports.mediaDevices = exports.formDataImpl = exports.fetchImpl = exports.isExpo = exports.isReactNative = exports.isNodeJS = exports.isBrowser = exports.sdkVersion = exports.base64Encode = void 0;
var js_base64_1 = require("js-base64");
Object.defineProperty(exports, "base64Encode", { enumerable: true, get: function () { return js_base64_1.encode; } });
exports.sdkVersion = require('../package.json').version;
exports.isBrowser = false;
exports.isNodeJS = false;
exports.isReactNative = true;
exports.isExpo = typeof global !== 'undefined' && typeof global.Expo !== 'undefined';
exports.fetchImpl = fetch;
exports.formDataImpl = FormData;
let RNWebRTC = {};
try {
    RNWebRTC = require('react-native-webrtc');
}
catch {
    console.warn("Module 'react-native-webrtc' is not installed. Please follow the installation guide at https://github.com/react-native-webrtc/react-native-webrtc?tab=readme-ov-file#guides if you want to use WebRTC features.");
}
exports.mediaDevices = RNWebRTC.mediaDevices, exports.MediaStream = RNWebRTC.MediaStream, exports.MediaStreamTrack = RNWebRTC.MediaStreamTrack, exports.RTCIceCandidate = RNWebRTC.RTCIceCandidate, exports.RTCPeerConnection = RNWebRTC.RTCPeerConnection, exports.RTCRtpReceiver = RNWebRTC.RTCRtpReceiver, exports.RTCRtpSender = RNWebRTC.RTCRtpSender, exports.RTCSessionDescription = RNWebRTC.RTCSessionDescription, exports.registerGlobals = RNWebRTC.registerGlobals;
exports.isWebRTCAvailable = Boolean(exports.mediaDevices && exports.RTCPeerConnection);
exports.navigator = {
    mediaDevices: {
        enumerateDevices: exports.mediaDevices ? exports.mediaDevices.enumerateDevices.bind(exports.mediaDevices) : undefined,
        getUserMedia: exports.mediaDevices ? exports.mediaDevices.getUserMedia.bind(exports.mediaDevices) : undefined,
        getDisplayMedia: exports.mediaDevices ? exports.mediaDevices.getDisplayMedia.bind(exports.mediaDevices) : undefined,
    },
    userAgent: 'react-native',
};
exports.adapter = {
    browserDetails: {
        browser: 'react-native',
        version: 0,
    },
};
if (typeof exports.registerGlobals === 'function') {
    try {
        (0, exports.registerGlobals)();
    }
    catch (error) {
        console.warn('[react-native-webrtc] Failed to register globals:', error);
    }
}
//# sourceMappingURL=platform.js.map