"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeerConnectionState = exports.CallEvent = exports.CallType = exports.CallSessionState = exports.CallSessionConnectionState = exports.CallSignalingType = exports.CallSignalingModuleIdentifier = void 0;
exports.CallSignalingModuleIdentifier = 'WebRTCVideoChat';
var CallSignalingType;
(function (CallSignalingType) {
    CallSignalingType["CALL"] = "call";
    CallSignalingType["ACCEPT"] = "accept";
    CallSignalingType["REJECT"] = "reject";
    CallSignalingType["STOP"] = "hangUp";
    CallSignalingType["RESTART"] = "iceRestart";
    CallSignalingType["RESTART_ACCEPT"] = "iceRestartAccept";
    CallSignalingType["CANDIDATE"] = "iceCandidates";
})(CallSignalingType || (exports.CallSignalingType = CallSignalingType = {}));
var CallSessionConnectionState;
(function (CallSessionConnectionState) {
    CallSessionConnectionState[CallSessionConnectionState["UNDEFINED"] = 0] = "UNDEFINED";
    CallSessionConnectionState[CallSessionConnectionState["CONNECTING"] = 1] = "CONNECTING";
    CallSessionConnectionState[CallSessionConnectionState["CONNECTED"] = 2] = "CONNECTED";
    CallSessionConnectionState[CallSessionConnectionState["FAILED"] = 3] = "FAILED";
    CallSessionConnectionState[CallSessionConnectionState["DISCONNECTED"] = 4] = "DISCONNECTED";
    CallSessionConnectionState[CallSessionConnectionState["CLOSED"] = 5] = "CLOSED";
    CallSessionConnectionState[CallSessionConnectionState["COMPLETED"] = 6] = "COMPLETED";
})(CallSessionConnectionState || (exports.CallSessionConnectionState = CallSessionConnectionState = {}));
var CallSessionState;
(function (CallSessionState) {
    CallSessionState[CallSessionState["NEW"] = 1] = "NEW";
    CallSessionState[CallSessionState["ACTIVE"] = 2] = "ACTIVE";
    CallSessionState[CallSessionState["STOPPED"] = 3] = "STOPPED";
    CallSessionState[CallSessionState["REJECTED"] = 4] = "REJECTED";
    CallSessionState[CallSessionState["CLOSED"] = 5] = "CLOSED";
})(CallSessionState || (exports.CallSessionState = CallSessionState = {}));
var CallType;
(function (CallType) {
    CallType[CallType["VIDEO"] = 1] = "VIDEO";
    CallType[CallType["AUDIO"] = 2] = "AUDIO";
})(CallType || (exports.CallType = CallType = {}));
var CallEvent;
(function (CallEvent) {
    CallEvent["CALL"] = "call";
    CallEvent["ACCEPT"] = "accept";
    CallEvent["REJECT"] = "reject";
    CallEvent["STOP"] = "stop";
    CallEvent["INVALID"] = "invalid";
    CallEvent["NOT_ANSWER"] = "not-answer";
    CallEvent["REMOTE_STREAM"] = "remote-stream";
    CallEvent["CONNECTION_STATE"] = "connection-state";
    CallEvent["CLOSE"] = "close";
    CallEvent["STATS_REPORT"] = "stats-report";
    CallEvent["DEVICES"] = "devices";
})(CallEvent || (exports.CallEvent = CallEvent = {}));
var PeerConnectionState;
(function (PeerConnectionState) {
    PeerConnectionState[PeerConnectionState["NEW"] = 1] = "NEW";
    PeerConnectionState[PeerConnectionState["CONNECTING"] = 2] = "CONNECTING";
    PeerConnectionState[PeerConnectionState["CHECKING"] = 3] = "CHECKING";
    PeerConnectionState[PeerConnectionState["CONNECTED"] = 4] = "CONNECTED";
    PeerConnectionState[PeerConnectionState["DISCONNECTED"] = 5] = "DISCONNECTED";
    PeerConnectionState[PeerConnectionState["FAILED"] = 6] = "FAILED";
    PeerConnectionState[PeerConnectionState["CLOSED"] = 7] = "CLOSED";
    PeerConnectionState[PeerConnectionState["COMPLETED"] = 8] = "COMPLETED";
})(PeerConnectionState || (exports.PeerConnectionState = PeerConnectionState = {}));
//# sourceMappingURL=calls.js.map