import { DateOrTimestamp } from './common';

export namespace ConnectyCubeWhiteboard {
  export type Item = {
    _id: string;
    name: string;
    chat_dialog_id: string;
    user_id: number;
    created_at: DateOrTimestamp;
    updated_at: DateOrTimestamp;
    [key: string]: any;
  };
  // Request parameters type
  export type GetUrlParams = { id: string; title: string; username: string };
  export type GetParams = { chat_dialog_id: string } | string;
  export type CreateParams = { chat_dialog_id: string; name: string };
  export type UpdateParams = { name: string };
}
